%global _empty_manifest_terminate_build 0
Name:           python-setuptools_scm
Version:        6.0.0
Release:        1
Summary:        Manage your Python package versions in SCM metadata
License:        MIT
URL:            https://pypi.python.org/pypi/setuptools_scm/
Source0:        https://files.pythonhosted.org/packages/bf/b1/e647ab0ad77ad74fde7f088cfa796b6b8ff24d4e2d4fa5a0d924fdbd9c6b/setuptools_scm-6.0.0.tar.gz

BuildArch:      noarch
Requires:       python3-setuptool
Requires:       python3-toml

%description
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%package -n python3-setuptools_scm
Summary:        the blessed package to manage your versions by scm tags
Provides:       python-setuptools_scm
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%description -n python3-setuptools_scm
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%package help
Summary:        Development documents and examples for setuptools_scm
Provides:       python3-setuptools_scm-doc
%description help
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%prep
%autosetup -n setuptools_scm-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-setuptools_scm -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu Jun 16 2022 OpenStack_SIG <openstack@openeuler.org> - 6.0.0-1
- Upgrade version for openstack yoga

* Thu Dec 3 2020 baizhonggui <baizhonggui@huawei.com> - 4.1.2-1
- Update to 4.1.2

* Wed Oct 21 2020 zhanghua <zhanghua40@huawei.com> - 3.1.0-3
- remove python2 subpackage

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.0-2
- Modify spec format.

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.0-1
- Package init.
